
From: Dominik Brodowski <linux@dominikbrodowski.net>

config_t->Vpp1, Vpp2 and Vcc are never read, so remove them.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/cs_internal.h     |    1 -
 drivers/pcmcia/pcmcia_resource.c |    4 +---
 2 files changed, 1 insertion(+), 4 deletions(-)

diff -puN drivers/pcmcia/cs_internal.h~pcmcia-remove-unused-vpp1-vpp2-and-vcc drivers/pcmcia/cs_internal.h
--- devel/drivers/pcmcia/cs_internal.h~pcmcia-remove-unused-vpp1-vpp2-and-vcc	2005-08-29 22:30:38.000000000 -0700
+++ devel-akpm/drivers/pcmcia/cs_internal.h	2005-08-29 22:30:38.000000000 -0700
@@ -42,7 +42,6 @@ typedef struct region_t {
 typedef struct config_t {
     u_int		state;
     u_int		Attributes;
-    u_int		Vcc, Vpp1, Vpp2;
     u_int		IntType;
     u_int		ConfigBase;
     u_char		Status, Pin, Copy, Option, ExtStatus;
diff -puN drivers/pcmcia/pcmcia_resource.c~pcmcia-remove-unused-vpp1-vpp2-and-vcc drivers/pcmcia/pcmcia_resource.c
--- devel/drivers/pcmcia/pcmcia_resource.c~pcmcia-remove-unused-vpp1-vpp2-and-vcc	2005-08-29 22:30:38.000000000 -0700
+++ devel-akpm/drivers/pcmcia/pcmcia_resource.c	2005-08-29 22:30:38.000000000 -0700
@@ -447,7 +447,7 @@ int pcmcia_modify_configuration(struct p
 	    (mod->Attributes & CONF_VPP2_CHANGE_VALID)) {
 		if (mod->Vpp1 != mod->Vpp2)
 			return CS_BAD_VPP;
-		c->Vpp1 = c->Vpp2 = s->socket.Vpp = mod->Vpp1;
+		s->socket.Vpp = mod->Vpp1;
 		if (s->ops->set_socket(s, &s->socket))
 			return CS_BAD_VPP;
 	} else if ((mod->Attributes & CONF_VPP1_CHANGE_VALID) ||
@@ -623,8 +623,6 @@ int pcmcia_request_configuration(struct 
 	if (s->ops->set_socket(s, &s->socket))
 		return CS_BAD_VPP;
 
-	c->Vcc = req->Vcc; c->Vpp1 = c->Vpp2 = req->Vpp1;
-
 	/* Pick memory or I/O card, DMA mode, interrupt */
 	c->IntType = req->IntType;
 	c->Attributes = req->Attributes;
_
